USERLIST(8)

NAME
userlist - Userlisting of who's on your system.

SYNOPSIS
userlist

DESCRIPTION
This program simply gives you a listing of who is connected to your system. It is used primarily in the sorted listing of cfingerd, which utilitizes the same method of display for a more uniform output between systems. (It also made more sense to do it this way instead of having jumbled up display listings in sorted finger displays. Besides, it made more sense to do this than use finger. :)

This program functions with the same types of things in mind that cfingerd does. If the user has a .nofinger file, their username will not be displayed in the userlisting.

Example output is shown as:

 Username Real Name Idletime TTY Remote console
 username I'm real ... 9d 23:59 0 (remote.site.com)

where it would display the user's login name, the user's real name, their idle time given in the format "dd hh:mm", their TTY, and their remote location (or where they're telnetting from).

If the username is over 8 characters, the program will not search for their information in the passwd file, since it may be too long. Besides, it checks getpwnam, anyway. :)

OPTIONS

-c  Give standard CFINGERD (custom) output.

-n  List only people idle less than one day.

ADDITIONAL
Although userlist is not required to run as suid root, it is a good idea. The reason is it checks each users' directory for a .nofinger file. If indeed that user has a .nofinger file in his/her directory, that user will not be shown in the userlisting.

If you change the program to run as nobody.nobody, you are free to do so. But you will also show the users if they are online, regardless of whether or not they have a ".nofinger" file (as long as their directory is NOT world-readable.)

CONTACTING
If you like this program, have any suggestions on how it could be modified, or have bug reports, please write to: khollis@bitgate.com.

Your continued Public Domain support is appreciated! Thanks.

SEE ALSO
cfingerd.conf(5), cfingerd(8), finger(1).